searchData={"items":[{"type":"module","title":"Guillotine","doc":"Fully accessible unstyled Phoenix components.","ref":"Guillotine.html"},{"type":"module","title":"Table of Contents - Guillotine","doc":"- [Table of Contents](#table-of-contents)\n- [Installation](#installation)","ref":"Guillotine.html#module-table-of-contents"},{"type":"module","title":"Installation - Guillotine","doc":"First, add `guillotine` to the list of dependencies in your `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:guillotine, \"~> 0.1.0\"}\n  ]\nend\n```\n\nGuillotine relies heavily on Phoenix hooks that need to be added to your JavaScript bundle. To do that, head to your `app.js` and add the\nhooks:\n\n```javascript\nimport { Hooks } from \"guillotine\";\n\nlet liveSocket = new LiveSocket(\"/live\", Socket, {\n  hooks: {\n    ...Hooks\n  },\n});\n```","ref":"Guillotine.html#module-installation"},{"type":"module","title":"Guillotine.Menu","doc":"Menus offer an easy way to build custom, accessible dropdown components with robust support for keyboard navigation.","ref":"Guillotine.Menu.html"},{"type":"module","title":"Example - Guillotine.Menu","doc":"```heex\n<.menu>\n  <.menu_trigger class=\"rounded-md bg-blue-500 px-3 py-1.5 text-sm text-white shadow-sm hover:bg-blue-400 focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 focus-visible:outline-blue-500\">\n    Menu\n  </.menu_trigger>\n  <.menu_positioner>\n    <.menu_content class=\"z-10 w-48 text-sm origin-top-right rounded-md bg-white py-1 shadow-lg ring-1 ring-black ring-opacity-5 focus:outline-none\">\n      <.menu_item as={&Phoenix.Component.link/1} navigate=\"/link\" class=\"block px-4 py-2 outline-0 data-[highlighted]:bg-gray-100\">\n        Phoenix Link\n      </.menu_item>\n      <.menu_item as=\"a\" href=\"/anchor\" class=\"block px-4 py-2 outline-0 data-[highlighted]:bg-gray-100\">\n        Anchor\n      </.menu_item>\n    </.menu_content>\n  </.menu_positioner>\n</.menu>\n```","ref":"Guillotine.Menu.html#module-example"},{"type":"function","title":"Guillotine.Menu.menu/1","doc":"","ref":"Guillotine.Menu.html#menu/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu/1","doc":"* `id` (`:string`) - ID.\n* `as` (`:any`) - Tag or component to render as. Defaults to `\"div\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_content/1","doc":"","ref":"Guillotine.Menu.html#menu_content/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_content/1","doc":"* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_content/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_content/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_content/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_group/1","doc":"","ref":"Guillotine.Menu.html#menu_group/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_group/1","doc":"* `id` (`:string`) - ID.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_group/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_group/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_group/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_item/1","doc":"","ref":"Guillotine.Menu.html#menu_item/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_item/1","doc":"* `id` (`:string`) - ID.\n* `as` (`:any`) - Tag or component to render as. Defaults to `\"a\"`.\n* Global attributes are accepted. Additional attributes. Supports all globals plus: `[\"href\"]`.","ref":"Guillotine.Menu.html#menu_item/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_item/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_item/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_label/1","doc":"","ref":"Guillotine.Menu.html#menu_label/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_label/1","doc":"* `for` (`:string`) (required) - Group the label belongs to.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_label/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_label/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_label/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_positioner/1","doc":"","ref":"Guillotine.Menu.html#menu_positioner/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_positioner/1","doc":"* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_positioner/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_positioner/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_positioner/1-slots"},{"type":"function","title":"Guillotine.Menu.menu_separator/1","doc":"","ref":"Guillotine.Menu.html#menu_separator/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_separator/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"hr\"`.\n* Global attributes are accepted. Additional attributes. Supports all globals plus: `[\"href\"]`.","ref":"Guillotine.Menu.html#menu_separator/1-attributes"},{"type":"function","title":"Guillotine.Menu.menu_trigger/1","doc":"","ref":"Guillotine.Menu.html#menu_trigger/1"},{"type":"function","title":"Attributes - Guillotine.Menu.menu_trigger/1","doc":"* `as` (`:any`) - Tag or component to render as. Defaults to `\"button\"`.\n* Global attributes are accepted. Additional attributes.","ref":"Guillotine.Menu.html#menu_trigger/1-attributes"},{"type":"function","title":"Slots - Guillotine.Menu.menu_trigger/1","doc":"* `inner_block`","ref":"Guillotine.Menu.html#menu_trigger/1-slots"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,51,46,48]}}